openni_wrapper::ImageYUV422 Class Reference
Module io

Concrete implementation of the interface Image for a YUV 422 image used by Primesense devices. More...

`#include <pcl/io/openni_camera/openni_image_yuv_422.h>`

Inheritance diagram for openni_wrapper::ImageYUV422:

## Public Member Functions

| ImageYUV422 (boost::shared_ptr< xn::ImageMetaData > image_meta_data) throw ()
virtual | ~ImageYUV422 () throw ()
virtual Encoding | getEncoding () const
| returns the encoding of the native data. More...
virtual bool | isResizingSupported (unsigned input_width, unsigned input_height, unsigned output_width, unsigned output_height) const
virtual void | fillRGB (unsigned width, unsigned height, unsigned char *rgb_buffer, unsigned rgb_line_step=0) const
| fills a user given buffer with the RGB values, with an optional nearest-neighbor down sampling and an optional subregion More...
virtual void | fillGrayscale (unsigned width, unsigned height, unsigned char *gray_buffer, unsigned gray_line_step=0) const
| fills a user given buffer with the gray values, with an optional nearest-neighbor down sampling and an optional subregion More...
Public Member Functions inherited from openni_wrapper::Image
| Image (boost::shared_ptr< xn::ImageMetaData > image_meta_data) throw ()
| Constructor. More...
virtual | ~Image () throw ()
| virtual Destructor that never throws an exception. More...
void | fillRaw (unsigned char *rgb_buffer) const throw ()
| fills a user given buffer with the raw values. More...
unsigned | getWidth () const throw ()
unsigned | getHeight () const throw ()
unsigned | getFrameID () const throw ()
unsigned long | getTimeStamp () const throw ()
const xn::ImageMetaData & | getMetaData () const throw ()

## Static Public Member Functions

static bool | resizingSupported (unsigned input_width, unsigned input_height, unsigned output_width, unsigned output_height)

## Additional Inherited Members

Public Types inherited from openni_wrapper::Image
enum | Encoding { BAYER_GRBG, YUV422, RGB }
typedef boost::shared_ptr< Image > | Ptr
typedef boost::shared_ptr< const Image > | ConstPtr
Protected Attributes inherited from openni_wrapper::Image
boost::shared_ptr< xn::ImageMetaData > | image_md_

## Detailed Description

Concrete implementation of the interface Image for a YUV 422 image used by Primesense devices.

Author
  Suat Gedikli

Date
  02.january 2011

Definition at line 53 of file openni_image_yuv_422.h.

## Constructor & Destructor Documentation

openni_wrapper::ImageYUV422::ImageYUV422 | ( | boost::shared_ptr< xn::ImageMetaData > | image_meta_data | ) |
throw | ( |
| ) |  |

virtual openni_wrapper::ImageYUV422::~ImageYUV422 | ( |  | ) |
throw | ( |
| ) |  |

virtual

## Member Function Documentation

virtual void openni_wrapper::ImageYUV422::fillGrayscale | ( | unsigned | width,
|  | unsigned | height,
|  | unsigned char * | gray_buffer,
|  | unsigned | gray_line_step = `0`
| ) |  | const

virtual

fills a user given buffer with the gray values, with an optional nearest-neighbor down sampling and an optional subregion

Author
  Suat Gedikli

Parameters

  [in] | width | desired width of output image.
  [in] | height | desired height of output image.
  [in,out] | gray_buffer | the output gray buffer.
  [in] | gray_line_step | optional line step in bytes to allow the output in a rectangular subregion of the output buffer.

Implements openni_wrapper::Image.

virtual void openni_wrapper::ImageYUV422::fillRGB | ( | unsigned | width,
|  | unsigned | height,
|  | unsigned char * | rgb_buffer,
|  | unsigned | rgb_line_step = `0`
| ) |  | const

virtual

fills a user given buffer with the RGB values, with an optional nearest-neighbor down sampling and an optional subregion

Author
  Suat Gedikli

Parameters

  [in] | width | desired width of output image.
  [in] | height | desired height of output image.
  [in,out] | rgb_buffer | the output RGB buffer.
  [in] | rgb_line_step | optional line step in bytes to allow the output in a rectangular subregion of the output buffer.

Implements openni_wrapper::Image.

virtual Encoding openni_wrapper::ImageYUV422::getEncoding | ( |  | ) | const

inline virtual

returns the encoding of the native data.

Author
  Suat Gedikli

Returns
  encoding

Implements openni_wrapper::Image.

Definition at line 60 of file openni_image_yuv_422.h.

virtual bool openni_wrapper::ImageYUV422::isResizingSupported | ( | unsigned | input_width,
|  | unsigned | input_height,
|  | unsigned | output_width,
|  | unsigned | output_height
| ) |  | const

virtual

Author
  Suat Gedikli

Parameters

  [in] | input_width | width of input image
  [in] | input_height | height of input image
  [in] | output_width | width of desired output image
  [in] | output_height | height of desired output image

Returns
  wheter the resizing is supported or not.

Implements openni_wrapper::Image.

bool openni_wrapper::ImageYUV422::resizingSupported | ( | unsigned | input_width,
|  | unsigned | input_height,
|  | unsigned | output_width,
|  | unsigned | output_height
| ) |  |

inline static

Definition at line 72 of file openni_image_yuv_422.h.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/io/include/pcl/io/openni_camera/openni_image_yuv_422.h